Sophie

Sophie

distrib > Mandriva > 8.2 > i586 > media > contrib > by-pkgid > c2ead1ef6836c3fdcfd61e2468ec677c > scriptlet

coda-debug-client-5.3.17-2mdk.i586.rpm

PREIN

/bin/sh
grep "^coda" /proc/mounts > /dev/null 2>&1
if [ $? = 0 ]; then
	echo "*** Coda is mounted: cannot install ***"
	exit 1
else
	exit 0
fi

PREUN

/bin/sh
if [ $1 = 0 ]; then service venus.init stop > /dev/null 2>/dev/null || :; /sbin/chkconfig --del venus.init; fi;rm -rf /dev/cfs0
grep "^coda" /proc/mounts > /dev/null 2>&1
if [ $? = 0 ]; then
	echo "*** Coda is mounted: cannot uninstall ***"
	exit 1
else
	exit 0
fi

POSTIN

/bin/sh
if [ $1 = 1 ]; then /sbin/chkconfig --add venus.init; else if [ -f /var/lock/subsys/venus.init ]; then service venus.init restart > /dev/null 2>/dev/null || : ; fi; fi;mknod /dev/cfs0 c 67 0
if [ -e /usr/coda/venus.cache/pid ]; then 
    rm -f /usr/coda/venus.cache/pid
fi
if [ ! -e /etc/coda/venus.conf ]; then 
	/usr/sbin/venus-setup testserver.coda.cs.cmu.edu 100000
fi